import Vue from "vue";
import * as common from "../common";
import { Dragula, MarkdownIt, HLJS } from "../libs";
export declare class ObjectEditor extends Vue {
    schema: common.ObjectSchema;
    initialValue?: {
        [name: string]: common.ValueType;
    };
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    dragula?: Dragula;
    md?: MarkdownIt;
    hljs?: HLJS;
    forceHttps?: boolean;
    collapsed?: boolean;
    value?: {
        [name: string]: common.ValueType;
    };
    buttonGroupStyle: any;
    errorMessage?: string;
    filter: string;
    private invalidProperties;
    private properties;
    beforeMount(): void;
    readonly filteredProperties: {
        property: string;
        schema: any;
    }[];
    readonly isReadOnly: any;
    readonly hasDeleteButtonFunction: boolean;
    readonly titleToShow: any;
    readonly showFilter: boolean;
    isRequired(property: string): any;
    collapseOrExpand(): void;
    toggleOptional(): void;
    onChange(property: string, {value, isValid}: common.ValidityValue<common.ValueType>): void;
    onFilterChange(e: {
        target: {
            value: string;
        };
    }): void;
    private validate();
}
