import Vue from "vue";
import * as common from "../common";
import { MarkdownIt, HLJS } from "../libs";
import "markdown-tip/vue";
import "select2-component/vue";
export declare class StringEditor extends Vue {
    schema: common.StringSchema;
    initialValue: string | undefined;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    md?: MarkdownIt;
    hljs?: HLJS;
    forceHttps?: boolean;
    value?: string;
    errorMessage?: string;
    buttonGroupStyle: any;
    collapsed: boolean;
    imagePreviewStyle: any;
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    beforeMount(): void;
    private readonly canPreviewImage;
    private readonly canPreviewMarkdown;
    private readonly canPreviewCode;
    readonly canPreview: any;
    readonly useTextArea: boolean;
    readonly useInput: boolean;
    readonly useSelect: boolean;
    readonly getImageUrl: any;
    readonly getMarkdown: any;
    readonly getCode: any;
    readonly isReadOnly: any;
    readonly hasDeleteButtonFunction: boolean;
    readonly willPreviewImage: any;
    readonly willPreviewMarkdown: boolean | "" | undefined;
    readonly willPreviewCode: boolean | "" | undefined;
    readonly titleToShow: any;
    readonly options: any;
    updateSelection(value: string): void;
    toggleOptional(): void;
    collapseOrExpand(): void;
    private validate();
}
